#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);cout.tie(NULL);
    long long n;
    cin>>n;
    long long a[n],h[n],br=0,q;
    for(long long i=0;i<n;i++)
    {
        cin>>a[i];
        if(i>0)
        if(a[i-1]>a[i]) h[br++]=i-1;
    }
    cin>>q;
    for(long long i=0;i<q;i++)
    {
        long long l,r;
        cin>>l>>r;
        bool p=true;
        int k=0;
        while(k<br&&h[k]<l-1)k++;
        if(k<br-1&&h[++k]<r-1)p=false;
        if(p)cout<<"DA\n";
        else cout<<"NE\n";
    }
}